include:
  template: Dependency-Scanning.gitlab-ci.yml

image: docker:latest

services:
  - docker:dind

packer_fmt:
  stage: .pre
  script:
    - |
      docker run -v $(pwd):/workspace \
                 -w /workspace hashicorp/packer:latest fmt .

packer_validate:
  stage: .pre
  script:
    - |
      docker run -e PKR_VAR_cloud_token="${VAGRANT_CLOUD_TOKEN}" \
                 -v $(pwd):/workspace \
                 -w /workspace hashicorp/packer:latest validate .

packer_build:
  stage: build
  allow_failure: true
  script:
    - |
      docker run -e PKR_VAR_cloud_token="${VAGRANT_CLOUD_TOKEN}" \
                 -v $(pwd):/workspace \
                 -w /workspace hashicorp/packer:latest build .

